select
  mo.dtvencimento as data_vencimento
  , mo.dtcompensacao as data_compensacao
  , mo.dtpagamento as data_pagamento
  , ccu.descricao as centro_custo
  , cg.numero as numero_gerencial
  , cg.descricao as conta_gerencial
  , pes.nome as fornecedor
  , nt.numdocumento as numero_nota
  , mo.numparcela || '\' || (select count(*) from movimento re where re.cdnota = nt.cdnota) as numero_parcela
  , pr.nome as produto
  , ni.qtde as quantidade_produto
  ,CAST(((coalesce(mo.vrpago, mo.valor)*(cast(ni.vrtotal as double precision) / nt.valor))*(coalesce(nia.percentual,100)))/100 AS decimal(15,2)) as valor_apropriado
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join notaitemapro nia on nia.cdnotaitem = ni.cdnotaitem
  left join centrocusto ccu on ccu.cdcentrocusto = nia.cdcentrocusto
  join contagerencial cg on cg.cdcontagerencial = ni.cdcontagerencial
  left join contacorrente con on con.cdcontacorrente = mo.cdcontacorrente
where
  nt.tiponota ='E'
  and nt.valor <> 0
---INSERIR DATA DE VENCIMENTO AQUI, CONFORME DESEJADO. MANTENHA O FORMATO DA DATA 'AAAA-MM-DD'.
  and mo.dtvencimento between '2022-07-01' and '2023-01-30'
order by
  nt.numdocumento, mo.dtvencimento
